<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %>

<html:html locale="true">
    <head>
	    <title><bean:message key="heading.page.contact.list"/></title>
        <link rel="stylesheet" href="<html:rewrite page='/css/default.css'/>" type="text/css" />
    </head>
    
    <body>    
        <table border="1" cellspacing="0" cellpadding="5" width="100%">
            <th><bean:message key="heading.page.contact.list"/></th>
        </table>
        
        <tiles:insert page="/WEB-INF/jsp/tiles/errorSection.jsp"/>
        
        <p>
            <bean:message key="paragraph.intro"/>       
        </p>
      
        <p>
            <html:link action="addContact"><bean:message key="link.text.contact.add"/></html:link>
        </p>
        
        <table border="1" cellspacing="0" cellpadding="5">
            <th><bean:message key="label.table.header.person" /></th>
            <th colspan="2"><bean:message key="label.table.header.actions" /></th>
        
            <bean:define
                id="contacts"
                name="ContactsListForm"
                property="contactList"
                type="java.util.Collection" />
                
                <logic:iterate id="contact" name="contacts">
                    <tr>
                        <td class="value">
                            <html:link action="lookupContactDetail" 
                                paramName="contact" 
                                paramId="contactId" 
                                paramProperty="contactId">
                                <bean:write name="contact" property="firstName" />
                                <bean:write name="contact" property="lastName" />
                            </html:link>
                        </td>
                        <td class="name">
                            <html:link action="editContact" 
                                paramName="contact" 
                                paramId="contactId" 
                                paramProperty="contactId">
                                <bean:message key="link.text.contact.edit"/>
                            </html:link>
                        </td>
                        <td class="name">
                            <html:link action="deleteContact" 
                                paramName="contact" 
                                paramId="contactId" 
                                paramProperty="contactId">
                                <bean:message key="link.text.contact.delete"/>
                            </html:link>
                        </td>                    
                    </tr>        
                 </logic:iterate>
                                                        
        </table>
        
        <br />
        <br />
        <hr />
        <p>
            <small>
                <bean:message key="paragraph.copyright"/>                
            </small>
        </p>
    </body>
</html:html>