package com.tomwheeler.addrbook;

/**
* A Simple Jakarta Struts FormBean which encapsulates the contact information  
* for a person in the AddressBook application
*
* <p>
*	<b>CVS Info:</b> $Id$
* </p>
*
* @author T. Wheeler (tom@stlwebdev.org)
* @version $Revision$
* @since 1.1
*
*/

// Java extension classes
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

// third-party classes
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.validator.ValidatorForm;

// this needs to extend ValidatorForm instead of ActionForm, so we 
// can use the Validator framework
public final class ContactDetailForm extends ValidatorForm
{
    // set up the logger on instantiation
    private static Log logger = LogFactory.getLog(ContactDetailForm.class);

    // properties
    
    /** The ID that uniquely identifies this contact */
    private String contactId = null;

    /** The contact's first name */
    private String firstName = null;

    /** The contact's last name */
    private String lastName = null;

    /** The contact's first address line */
    private String addrLine1 = null;

    /** The contact's second address line */
    private String addrLine2 = null;

    /** The city in which the contact address is located */
    private String city = null;

    /** The state in which the contact address is located */
    private String state = null;

    /** The postal code for the contact's address */
    private String zipCode = null;

    /** The contact's home telephone number */
    private String homePhone = null;

    /** The contact's work telephone number */
    private String workPhone = null;

    /** The contact's mobile telephone number */
    private String cellPhone = null;

    /** The contact's e-mail address */
    private String emailAddr = null;

    /** General free-form information about this contact */
    private String comments = null;


    // Getters/Setters

    /** Returns The ID that uniquely identifies this contact */
    public String getContactId()
    {
        return (this.contactId);
    }

    /**
    * Sets The ID that uniquely identifies this contact (on the form).
    *
    * @param contactId The ID that uniquely identifies this contact
    */
    public void setContactId(String contactId)
    {
        this.contactId = contactId;
    }

    /** Returns The contact's first name */
    public String getFirstName()
    {
        return (this.firstName);
    }

    /**
    * Sets The contact's first name (on the form).
    *
    * @param firstName The contact's first name
    */
    public void setFirstName(String firstName)
    {
        this.firstName = firstName;
    }

    /** Returns The contact's last name */
    public String getLastName()
    {
        return (this.lastName);
    }

    /**
    * Sets The contact's last name (on the form).
    *
    * @param lastName The contact's last name
    */
    public void setLastName(String lastName)
    {
        this.lastName = lastName;
    }

    /** Returns The contact's first address line */
    public String getAddrLine1()
    {
        return (this.addrLine1);
    }

    /**
    * Sets The contact's first address line (on the form).
    *
    * @param addrLine1 The contact's first address line
    */
    public void setAddrLine1(String addrLine1)
    {
        this.addrLine1 = addrLine1;
    }

    /** Returns The contact's second address line */
    public String getAddrLine2()
    {
        return (this.addrLine2);
    }

    /**
    * Sets The contact's second address line (on the form).
    *
    * @param addrLine2 The contact's second address line
    */
    public void setAddrLine2(String addrLine2)
    {
        this.addrLine2 = addrLine2;
    }

    /** Returns The city in which the contact address is located */
    public String getCity()
    {
        return (this.city);
    }

    /**
    * Sets The city in which the contact address is located (on the form).
    *
    * @param city The city in which the contact address is located
    */
    public void setCity(String city)
    {
        this.city = city;
    }

    /** Returns The state in which the contact address is located */
    public String getState()
    {
        return (this.state);
    }

    /**
    * Sets The state in which the contact address is located (on the form).
    *
    * @param state The state in which the contact address is located
    */
    public void setState(String state)
    {
        this.state = state;
    }

    /** Returns The postal code for the contact's address */
    public String getZipCode()
    {
        return (this.zipCode);
    }

    /**
    * Sets The postal code for the contact's address (on the form).
    *
    * @param zipCode The postal code for the contact's address
    */
    public void setZipCode(String zipCode)
    {
        this.zipCode = zipCode;
    }

    /** Returns The contact's home telephone number */
    public String getHomePhone()
    {
        return (this.homePhone);
    }

    /**
    * Sets The contact's home telephone number (on the form).
    *
    * @param homePhone The contact's home telephone number
    */
    public void setHomePhone(String homePhone)
    {
        this.homePhone = homePhone;
    }

    /** Returns The contact's work telephone number */
    public String getWorkPhone()
    {
        return (this.workPhone);
    }

    /**
    * Sets The contact's work telephone number (on the form).
    *
    * @param workPhone The contact's work telephone number
    */
    public void setWorkPhone(String workPhone)
    {
        this.workPhone = workPhone;
    }

    /** Returns The contact's mobile telephone number */
    public String getCellPhone()
    {
        return (this.cellPhone);
    }

    /**
    * Sets The contact's mobile telephone number (on the form).
    *
    * @param cellPhone The contact's mobile telephone number
    */
    public void setCellPhone(String cellPhone)
    {
        this.cellPhone = cellPhone;
    }

    /** Returns The contact's e-mail address */
    public String getEmailAddr()
    {
        return (this.emailAddr);
    }

    /**
    * Sets The contact's e-mail address (on the form).
    *
    * @param emailAddr The contact's e-mail address
    */
    public void setEmailAddr(String emailAddr)
    {
        this.emailAddr = emailAddr;
    }

    /** Returns General free-form information about this contact */
    public String getComments()
    {
        return (this.comments);
    }

    /**
    * Sets General free-form information about this contact (on the form).
    *
    * @param comments General free-form information about this contact
    */
    public void setComments(String comments)
    {
        this.comments = comments;
    }


    // no validate method needed -- we are using the validator plug-in                         

}
