package com.tomwheeler.addrbook;

import com.tomwheeler.addrbook.ContactDetailForm;
import com.tomwheeler.addrbook.ContactDataUtil;

// standard java classes
import java.sql.SQLException;
import java.util.Locale;

// java extension classes
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

// third-party classes
import org.apache.commons.beanutils.PropertyUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.MessageResources;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
*  This is a Struts Action Class that handles accessing all the 
*  detail information for a single contact in the AddressBook 
*  application.
*
*@author     T. Wheeler (tom@stlwebdev.org)
*/
public class GetContactDetailAction extends Action 
{
    // set up the logger on instantiation
    private static Log logger = LogFactory.getLog(GetContactDetailAction.class);
    
    /**
    * This is the &quot;Main&quot; method for ActionClasses
    *
    * @param  mapping   An ActionMapping instance
    * @param  form      The ActionForm that was set up in struts-config.xml
    * @param  request   An HTTPServletRequest object
    * @param  response  An HTTPServletResponse object
    * @return           An ActionForward instance
    */
    public ActionForward execute(
            ActionMapping mapping,
            ActionForm form,
            HttpServletRequest request,
            HttpServletResponse response) 
    {
        logger.debug(" we have a generic form object; cast it to a ContactDetailForm");
        ContactDetailForm contactForm = (ContactDetailForm) form;
        
        // get the contact ID from the querystring, and minimillay verify it
        String contactId = request.getParameter("contactId");
        
        try 
        {
             ContactDataUtil dataUtil = new ContactDataUtil();
             dataUtil.populateContactDetailForm(contactId, contactForm);
             logger.info("successfully populated contact detail form");
        }
        catch (SQLException sqle) 
        {
            // show a brief error message to the client
            ActionErrors errors = new ActionErrors();
            errors.add(ActionErrors.GLOBAL_ERROR, 
                new ActionError("error.database.generic"));
            saveErrors(request, errors);     
            logger.error("Failed due to database error " + sqle.toString());             
        } 
        return mapping.findForward("displayContactDetail");
    }
}
